#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <sys/types.h> 
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <fcntl.h>
#include <time.h>


void error();

int main(int argc, char *argv[])
{

	char *hostname;
	int fd;
	void getdestinfo();
	struct sockaddr_in sin;
	int i;
	
	if (argc != 3) {
		fprintf(stderr,"Usage: %s hostname portnumberl\n", argv[0]);
		exit(-1);
	}

	fd = createSocket();
	getdestinfo(argv[1], atoi(argv[2]), &sin);

	for (i = 0; i < 10; i++) {
		if (sendRequest(fd, &sin) < 0)
			error("sendRequest");;
        }
	
	close(fd);
}


int
createSocket()
{
	int fd =  socket(AF_INET, SOCK_DGRAM, 0);
	if (fd < 0) 
		error("ERROR opening socket");

	return fd;
}



void
getdestinfo(char *hostname, int port, struct sockaddr_in *sin)
{
	struct hostent *server;
	
	server = gethostbyname(hostname);
	if (server == NULL) {
		fprintf(stderr,"ERROR, no such host\n");
		exit(0);
	}
	
	bzero((char *) sin, sizeof(struct sockaddr_in));
	sin->sin_family = AF_INET;
	bcopy((char *)server->h_addr, 
	      (char *)&sin->sin_addr.s_addr,
	      server->h_length);
	
	sin->sin_port = htons(port);
}


int
sendRequest(int fd, struct sockaddr_in *sin)
{
	char *buf = "Hi Hom";
	return seqsendto(fd, buf, strlen(buf)+1, 0, sin, sizeof(*sin));
}


	
void error(char *msg)
{
	perror(msg);
	exit(1);
}

