#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <sys/types.h> 
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <fcntl.h>
#include <time.h>
#include "sequdp.h"


void error();

int main(int argc, char *argv[])
{
	char *hostname;
	int fd;
	void getdestinfo();
	struct sockaddr_in sin;
	int i;
	
	if (argc != 2) {
		fprintf(stderr,"Usage: %s portnumberl\n", argv[0]);
		exit(-1);
	}

	fd = createSocket(atoi(argv[1]));

	while (getRequest(fd) > 0)
		;
	close(fd);
}


int
createSocket(int portnum)
{
	struct sockaddr_in serv_addr;
	int sockfd;
	sockfd = socket(AF_INET, SOCK_DGRAM, 0);
	if (sockfd < 0) 
		error("ERROR opening socket");
	
	bzero((char *) &serv_addr, sizeof(serv_addr));
	serv_addr.sin_family = AF_INET;
	serv_addr.sin_addr.s_addr = INADDR_ANY;
	serv_addr.sin_port = htons(portnum);
	if (bind(sockfd, (struct sockaddr *) &serv_addr, sizeof(serv_addr)) < 0) 
		error("ERROR on binding");
	return sockfd;
}



	

int
getRequest(int fd)
{
	struct sockaddr fromaddr;
	socklen_t fromlen;
	char buf[MAXMSGSIZE];
	int cc;

	fromlen = sizeof(fromaddr);
	cc = seqrecvfrom(fd, buf, sizeof(buf), 0, &fromaddr, &fromlen);
	if (cc < 0) {
		fprintf(stderr,"getRequest failed with %d\n");
		return 0;
	}

	showSenderInfo(&fromaddr, fromlen);
	fprintf(stderr, "seq recv from returned %d bytes\n", cc);
	return cc;
}



	
void error(char *msg)
{
	perror(msg);
	exit(1);
}

